import { createStore, applyMiddleware } from 'redux';
import thunk from 'redux-thunk';
import rootReducer from '../reducers';
import getInitialState from '../utils/get-initial-state';

const initialState = getInitialState();

const store = createStore(
  rootReducer,
  initialState,
  applyMiddleware(thunk)
);

export default store;



